.offer {
    background: #EDF1F5;
    padding-top: rem(40);
    padding-bottom: rem(60);

    &__buttons {
        padding-top: rem(20);

        &__item {

            &:first-child {
                margin-bottom: rem(15);
            }
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(60);

        &__buttons {
            display: flex;
            align-items: center;
            justify-content: space-between;

            &__item {
                width: calc(50% - 12px);

                &:first-child {
                    margin-bottom: 0;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__buttons {
            display: none;
        }

        &__main {
            display: grid;
            grid-row-gap: rem(20);
            grid-column-gap: rem(24);
            grid-template-columns: 1fr 1fr;
        }
    }
}

.offer-primary {
    color: $white;
    overflow: hidden;
    background: $blue;
    position: relative;
    border-radius: 10px;
    padding: rem(13) rem(13) rem(21) rem(13);

    &__header {
        z-index: 10;
        font-weight: 700;
        line-height: 125%;
        font-size: rem(32);
        position: relative;
        margin-bottom: rem(20);
    }

    &__info {
        margin: 0;
        padding: 0;
        z-index: 10;
        list-style: none;
        position: relative;
        display: flex;
        flex-wrap: wrap;
        white-space: nowrap;
        font-weight: 400;
        line-height: 140%;
        font-size: rem(14);

        li {
            margin-bottom: rem(5);

            &:not(:last-child) {
                margin-right: rem(20);
            }
        }
    }

    &__bg {
        z-index: 1;
        position: absolute;

        &--left {
            top: -230px;
            left: -194px;
            width: 510px;
            display: block;
            transform: rotate(59deg);
        }

        &--right {
            display: none;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(29) rem(36) rem(54) rem(36);

        &__header {
            margin-bottom: rem(25);
        }

        &__info {
            line-height: 140%;
            font-size: rem(16);

            li {
                margin: 0;
                position: relative;

                &:not(:last-child) {
                    margin-right: rem(36);

                    &:after {
                        top: 6px;
                        right: -22px;
                        z-index: 1;
                        width: 7px;
                        height: 7px;
                        content: '';
                        display: block;
                        position: absolute;
                        border-radius: 50%;
                        background: rgba(255,255,255,0.5);
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        text-align: center;
        grid-column-start: 1;
        grid-column-end: 3;

        &__info {
            justify-content: center;
        }
    }

    @include media-breakpoint-up(xl) {
        border-radius: 24px;

        &__header {
            font-size: rem(50);
            line-height: 125%;
        }

        &__info {
            font-size: rem(20);

            li {

                &:not(:last-child) {

                    &:after {
                        top: 8px;
                    }
                }
            }
        }

        &__bg {

            &--left {
                top: -202px;
                left: -180px;
                width: 442px;
            }

            &--right {
                display: block;
                top: -123px;
                right: -146px;
                width: 364px;
                transform: rotate(90deg);
            }
        }
    }
}

.offer-secondary {
    display: none;
    color: $white;
    padding: rem(40);
    overflow: hidden;
    text-align: center;
    background: $blue;
    border-radius: 10px;
    position: relative;
    font-weight: 400;
    font-size: rem(16);
    line-height: 150%;

    &__title {
        z-index: 10;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(32);
        position: relative;
        margin-bottom: rem(20);
    }

    &__text {
        z-index: 10;
        flex-grow: 1;
        position: relative;
        margin-bottom: rem(30);
    }

    &__button {
        z-index: 10;
        position: relative;
    }

    &__ring {
        z-index: 1;
        position: absolute;

        &--01 {
            top: rem(-293);
            left: rem(-288);
            width: rem(920);
        }

        &--02 {
            top: rem(-225);
            left: rem(222);
            width: rem(658);
        }
    }

    .btn {
        min-width: rem(256px);
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        flex-direction: column;
    }

    @include media-breakpoint-up(xl) {
        border-radius: 24px;
        font-size: rem(20);
    }
}
